<?php
/*
Plugin Name: Player
Plugin URI: http://www.sharkoblog.ru/
Description: Adds an audio-player
Author: just_shark
Version: 1.3
Author URI: http://www.sharkoblog.ru/
*/ 
 
// this tells FlatPress to load the new tags at the very beginning 
 
add_filter('init', 'plugin_bbcode_audio_tags');
 
// define function. In this case we're creating an "inc" tag
 
function plugin_bbcode_audio_tags() {
        $bbcode = plugin_bbcode_init(); //import the "global" bbcode object into current function
                                         // this way 
                                         // a) parsing is done only once, and by the official plugin
                                         // b) you create only ONE object, and therefore computation is quicker
        $bbcode->addCode (
                    'audio',  // tag name: this will go between square brackets
                    'callback_replace', // type of action: we'll use a callback function
                    'plugin_custombbcode_audio', // name of the callback function
                    array('usecontent_param' => array ('default')), // supported parameters: "default" is [inc=valore]
                    'inline', // type of the tag, inline or block, etc
                    array ('listitem', 'block', 'inline', 'link'), // type of elements in which you can use this tag
                    array ()); // type of elements where this tag CAN'T go (in this case, none, so it can go everywhere)
 
    $bbcode->setCodeFlag ('audio', 'closetag', BBCODE_CLOSETAG_MUSTEXIST); // a closing tag is mandatory [/tag]
}
 
function plugin_custombbcode_audio($action, $attributes, $content, $params, $node_object) {

	// here's your player colors:
	$bgcolor         = "888888"; // very bgcolor
	$bgcolor1        = "999999"; // top bg
	$bgcolor2        = "777777"; // bottom bg
	$loadingcolor    = "ffffff"; // loading bar
	$buttoncolor     = "eeeeee"; // button color
	$buttonovercolor = "ffffff"; // button color on mouseover
	$slidercolor     = "eeeeee"; // slider color
	$sliderovercolor = "cccccc"; // slider color on mouseover
	
	if ($action == 'validate') {
		return true;
	}
	
	return '<div class="audio" style="margin: 10;">
<object type="application/x-shockwave-flash" data="'.PLUGINS_DIR.'/player/res/player.swf" width="200" height="20">
	<param name="movie" value="'.PLUGINS_DIR.'/player/res/player.swf" />
	<param name="bgcolor" value="'.$bgcolor.'" />
	<param name="FlashVars" value="mp3='.ATTACHS_DIR.$content.'&showvolume=1&showloading=always&loadingcolor='.$loadingcolor.'&bgcolor='.$bgcolor.'&bgcolor1='.$bgcolor1.'&bgcolor2='.$bgcolor2.'&slidercolor2='.$slidercolor.'&sliderovercolor='.$sliderovercolor.'&buttoncolor='.$buttoncolor.'&buttonovercolor='.$buttonovercolor.'" />
</object>
</div>';

	// <param name="FlashVars" value="mp3='.ATTACHS_DIR.$content.'&amp;bgcolor='.$bgcolor.'&amp;loadingcolor='.$loadingcolor.'&amp;buttoncolor='.$buttoncolor.'&amp;slidercolor='.$slidercolor.'" />

}
 
?>